#=
rdb-26_002.jl
based on
https://gitlab.com/fMRI/toppe/blob/master/+toppe/+utils/read_rdb_hdr.m

Matlab version is:
Copyright (c) 2012 by General Electric Company. All rights reserved.

2019-05-22 Julia version by Jeff Fessler
=#

export rdb_hdr_26_002_def


"""
    hd = rdb_hdr_26_002_def()

Return array [Symbol Int DataType] `? × 3` used in `header_read()`
"""
function rdb_hdr_26_002_def()
	vcat( # todo: broken into chunks to avoid StackOverflowError()
	[
	:rdbm_rev 1 Float32;
	:off_data 1 Int32;
	:off_per_pass 1 Int32;
	:off_unlock_raw 1 Int32;
	:off_data_acq_tab 1 Int32;
	:off_nex_tab 1 Int32;
	:off_nex_abort_tab 1 Int32;
	:off_tool 1 Int32;
	:off_exam 1 Int32;
	:off_series 1 Int32;
	:off_image 1 Int32;
	:off_ps 1 Int32;
	:off_grad_data 1 Int32;
	:off_CTT_data 1 Int32;
	:off_spare1 1 Int32;
	:off_spare2 1 Int32;
	:off_spare3 1 Int32;
	:off_spare4 1 Int32;
	:off_spare5 1 Int32;
	:off_spare6 1 Int32;
	:run_int 1 Int32;
	:scan_seq 1 Int16;
	:run_char 6 Cuchar
	:scan_date 10 Cuchar
	:scan_time 8 Cuchar
	:logo 10 Cuchar
	:file_contents 1 Int16;
	:lock_mode 1 Int16;
	:dacq_ctrl 1 Int16;
	:recon_ctrl 1 UInt16;
	:exec_ctrl 1 UInt16;
	:scan_type 1 Int16;
	:data_collect_type 1 Int16;
	:data_format 1 Int16;
	:recon 1 Int16;
	:datacq 1 Int16;
	:npasses 1 Int16;
	:npomp 1 Int16;
	:nslices 1 UInt16;
	:nechoes 1 Int16;
	:navs 1 Int16;
	:nframes 1 Int16;
	:baseline_views 1 Int16;
	:hnover 1 Int16;
	:frame_size 1 UInt16;
	:point_size 1 Int16;
	:vquant 1 Int16;
	:cheart 1 Int16;
	:ctr 1 Float32;
	:ctrr 1 Float32;
	:initpass 1 Int16;
	:incrpass 1 Int16;
	:method_ctrl 1 Int16;
	:da_xres 1 UInt16;
	:da_yres 1 Int16;
	:rc_xres 1 Int16;
	:rc_yres 1 Int16;
	:im_size 1 Int16;
	:rc_zres 1 Int32;
	:fermi_radius 1 Float32;
	:fermi_width 1 Float32;
	:fermi_ecc 1 Float32;
	:clip_min 1 Float32;
	:clip_max 1 Float32;
	:default_offset 1 Float32;
	:xoff 1 Float32;
	:yoff 1 Float32;
	:nwin 1 Float32;
	:ntran 1 Float32;
	:scalei 1 Float32;
	:scaleq 1 Float32;
	:rotation 1 Int16;
	:transpose 1 Int16;
	:kissoff_views 1 Int16;
	:slblank 1 Int16;
	:gradcoil 1 Int16;
	:ddaover 1 Int16;
	:sarr 1 Int16;
	:fd_tr 1 Int16;
	:fd_te 1 Int16;
	:fd_ctrl 1 Int16;
	:algor_num 1 Int16;
	:fd_df_dec 1 Int16;
	:dab 8 Int16;
	:user0 1 Float32;
	:user1 1 Float32;
	:user2 1 Float32;
	:user3 1 Float32;
	:user4 1 Float32;
	:user5 1 Float32;
	:user6 1 Float32;
	:user7 1 Float32;
	:user8 1 Float32;
	:user9 1 Float32;
	:user10 1 Float32;
	:user11 1 Float32;
	:user12 1 Float32;
	:user13 1 Float32;
	:user14 1 Float32;
	:user15 1 Float32;
	:user16 1 Float32;
	:user17 1 Float32;
	:user18 1 Float32;
	:user19 1 Float32;
	:v_type 1 Int32;
	:v_coefxa 1 Float32;
	:v_coefxb 1 Float32;
	:v_coefxc 1 Float32;
	:v_coefxd 1 Float32;
	:v_coefya 1 Float32;
	:v_coefyb 1 Float32;
	:v_coefyc 1 Float32;
	:v_coefyd 1 Float32;
	:v_coefza 1 Float32;
	:v_coefzb 1 Float32;
	:v_coefzc 1 Float32;
	:v_coefzd 1 Float32;
	:vm_coef1 1 Float32;
	:vm_coef2 1 Float32;
	:vm_coef3 1 Float32;
	:vm_coef4 1 Float32;
	:v_venc 1 Float32;
	:spectral_width 1 Float32;
	:csi_dims 1 Int16;
	:xcsi 1 Int16;
	:ycsi 1 Int16;
	:zcsi 1 Int16;
	:roilenx 1 Float32;
	:roileny 1 Float32;
	:roilenz 1 Float32;
	:roilocx 1 Float32;
	:roilocy 1 Float32;
	:roilocz 1 Float32;
	:numdwell 1 Float32;
	:ps_command 1 Int32;
	:ps_mps_r1 1 Int32;
	:ps_mps_r2 1 Int32;
	:ps_mps_tg 1 Int32;
	:ps_mps_freq 1 UInt32;
	:ps_aps_r1 1 Int32;
	:ps_aps_r2 1 Int32;
	:ps_aps_tg 1 Int32;
	:ps_aps_freq 1 UInt32;
	:ps_scalei 1 Float32;
	:ps_scaleq 1 Float32;
	:ps_snr_warning 1 Int32;
	:ps_aps_or_mps 1 Int32;
	:ps_mps_bitmap 1 Int32;
	:ps_powerspec 256 Cuchar
	:ps_filler1 1 Int32;
	:ps_filler2 1 Int32;
	:halfecho 1 Int16;
	:im_size_y 1 Int16;
	:data_collect_type1 1 Int32;
	:freq_scale 1 Float32;
	:phase_scale 1 Float32;
	:ovl 1 Int16;
	:pclin 1 Int16;
	:pclinnpts 1 Int16;
	:pclinorder 1 Int16;
	:pclinavg 1 Int16;
	:pccon 1 Int16;
	:pcconnpts 1 Int16;
	:pcconorder 1 Int16;
	:pcextcorr 1 Int16;
	:pcgraph 1 Int16;
	:pcileave 1 Int16;
	:hdbestky 1 Int16;
	:pcctrl 1 Int16;
	:pcthrespts 1 Int16;
	:pcdiscbeg 1 Int16;
	:pcdiscmid 1 Int16;
	:pcdiscend 1 Int16;
	:pcthrespct 1 Int16;
	:pcspacial 1 Int16;
	:pctemporal 1 Int16;
	:pcspare 1 Int16;
	:ileaves 1 Int16;
	:kydir 1 Int16;
	:alt 1 Int16;
	:reps 1 Int16;
	:ref 1 Int16;
	:pcconnorm 1 Float32;
	:pcconfitwt 1 Float32;
	:pclinnorm 1 Float32;
	:pclinfitwt 1 Float32;
	:pcbestky 1 Float32;
	:vrgf 1 Int32;
	:vrgfxres 1 Int32;
	:bp_corr 1 Int32;
	:recv_freq_s 1 Float32;
	:recv_freq_e 1 Float32;
	:hniter 1 Int32;
	:fast_rec 1 Int32;
	:refframes 1 Int32;
	:refframep 1 Int32;
	:scnframe 1 Int32;
	:pasframe 1 Int32;
	:user_usage_tag 1 UInt32;
	:user_fill_mapMSW 1 UInt32;
	:user_fill_mapLSW 1 UInt32;
	], [
	:user20 1 Float32;
	:user21 1 Float32;
	:user22 1 Float32;
	:user23 1 Float32;
	:user24 1 Float32;
	:user25 1 Float32;
	:user26 1 Float32;
	:user27 1 Float32;
	:user28 1 Float32;
	:user29 1 Float32;
	:user30 1 Float32;
	:user31 1 Float32;
	:user32 1 Float32;
	:user33 1 Float32;
	:user34 1 Float32;
	:user35 1 Float32;
	:user36 1 Float32;
	:user37 1 Float32;
	:user38 1 Float32;
	:user39 1 Float32;
	:user40 1 Float32;
	:user41 1 Float32;
	:user42 1 Float32;
	:user43 1 Float32;
	:user44 1 Float32;
	:user45 1 Float32;
	:user46 1 Float32;
	:user47 1 Float32;
	:user48 1 Float32;
	:pcfitorig 1 Int16;
	:pcshotfirst 1 Int16;
	:pcshotlast 1 Int16;
	:pcmultegrp 1 Int16;
	:pclinfix 1 Int16;
	:pcconfix 1 Int16;
	:pclinslope 1 Float32;
	:pcconslope 1 Float32;
	:pccoil 1 Int16;
	:vvsmode 1 Int16;
	:vvsaimgs 1 Int16;
	:vvstr 1 Int16;
	:vvsgender 1 Int16;
	:zip_factor 1 Int16;
	:maxcoef1a 1 Float32;
	:maxcoef1b 1 Float32;
	:maxcoef1c 1 Float32;
	:maxcoef1d 1 Float32;
	:maxcoef2a 1 Float32;
	:maxcoef2b 1 Float32;
	:maxcoef2c 1 Float32;
	:maxcoef2d 1 Float32;
	:maxcoef3a 1 Float32;
	:maxcoef3b 1 Float32;
	:maxcoef3c 1 Float32;
	:maxcoef3d 1 Float32;
	:ut_ctrl 1 Int32;
	:dp_type 1 Int16;
	:arw 1 Int16;
	:vps 1 Int16;
	:mcReconEnable 1 Int16;
	:fov 1 Float32;
	:te 1 Int32;
	:te2 1 Int32;
	:dfmrbw 1 Float32;
	:dfmctrl 1 Int32;
	:raw_nex 1 Int32;
	:navs_per_pass 1 Int32;
	:dfmxres 1 Int32;
	:dfmptsize 1 Int32;
	:navs_per_view 1 Int32;
	:dfmdebug 1 Int32;
	:dfmthreshold 1 Float32;
	:grid_control 1 Int16;
	:b0map 1 Int16;
	:grid_tediff 1 Int16;
	:grid_motion_comp 1 Int16;
	:grid_radius_a 1 Float32;
	:grid_radius_b 1 Float32;
	:grid_max_gradient 1 Float32;
	:grid_max_slew 1 Float32;
	:grid_scan_fov 1 Float32;
	:grid_a2d_time 1 Float32;
	:grid_density_factor 1 Float32;
	:grid_display_fov 1 Float32;
	:fatwater 1 Int16;
	:fiestamlf 1 Int16;
	:app 1 Int16;
	:rhncoilsel 1 Int16;
	:rhncoillimit 1 Int16;
	:app_option 1 Int16;
	:grad_mode 1 Int16;
	:pfile_passes 1 Int16;
	:asset 1 Int32;
	:asset_calthresh 1 Int32;
	:asset_R 1 Float32;
	:coilConfigUID 1 UInt32;
	:asset_phases 1 Int32;
	:scancent 1 Float32;
	:position 1 Int32;
	:entry 1 Int32;
	:lmhor 1 Float32;
	:last_slice_num 1 Int32;
	:asset_slice_R 1 Float32;
	:asset_slabwrap 1 Float32;
	:dwnav_coeff 1 Float32;
	:dwnav_cor 1 Int16;
	:dwnav_view 1 Int16;
	:dwnav_corecho 1 Int16;
	:dwnav_sview 1 Int16;
	:dwnav_eview 1 Int16;
	:dwnav_sshot 1 Int16;
	:dwnav_eshot 1 Int16;
	:a3dwin_type 1 Int16;
	:a3dwin_apod 1 Float32;
	:a3dwin_q 1 Float32;
	:ime_scic_enable 1 Int16;
	:clariview_type 1 Int16;
	:ime_scic_edge 1 Float32;
	:ime_scic_smooth 1 Float32;
	:ime_scic_focus 1 Float32;
	:clariview_edge 1 Float32;
	:clariview_smooth 1 Float32;
	:clariview_focus 1 Float32;
	:scic_reduction 1 Float32;
	:scic_gauss 1 Float32;
	:scic_threshold 1 Float32;
	:ectricks_no_regions 1 Int32;
	:ectricks_input_regions 1 Int32;
	:psc_reuse 1 Int16;
	:left_blank 1 Int16;
	:right_blank 1 Int16;
	:acquire_type 1 Int16;
	:retro_control 1 Int16;
	:etl 1 Int16;
	:pcref_start 1 Int16;
	:pcref_stop 1 Int16;
	:ref_skip 1 Int16;
	:extra_frames_top 1 Int16;
	:extra_frames_bot 1 Int16;
	:multiphase_type 1 Int16;
	:nphases 1 Int16;
	:pure 1 Int16;
	:pure_scale 1 Float32;
	:new_wnd_level_flag 1 Int32;
	:wnd_image_hist_area 1 Int32;
	:wnd_high_hist 1 Float32;
	:wnd_lower_hist 1 Float32;
	:pure_filter 1 Int16;
	:cfg_pure_filter 1 Int16;
	:cfg_pure_fit_order 1 Int16;
	:cfg_pure_kernelsize_z 1 Int16;
	:cfg_pure_kernelsize_xy 1 Int16;
	:cfg_pure_weight_radius 1 Int16;
	:cfg_pure_intensity_scale 1 Int16;
	:cfg_pure_noise_threshold 1 Int16;
	:wienera 1 Float32;
	:wienerb 1 Float32;
	:wienert2 1 Float32;
	:wieneresp 1 Float32;
	:wiener 1 Int16;
	:flipfilter 1 Int16;
	:dbgrecon 1 Int16;
	:ech2skip 1 Int16;
	:tricks_type 1 Int32;
	:lcfiesta_phase 1 Float32;
	:lcfiesta 1 Int16;
	:herawflt 1 Int16;
	:herawflt_befnwin 1 Int16;
	:herawflt_befntran 1 Int16;
	:herawflt_befamp 1 Float32;
	:herawflt_hpfamp 1 Float32;
	:heover 1 Int16;
	:pure_correction_threshold 1 Int16;
	:swiftenable 1 Int32;
	:numslabs 1 Int16;
	:numCoilConfigs 1 UInt16;
	:ps_autoshim_status 1 Int32;
	:dynaplan_numphases 1 Int32;
	:medal_cfg 1 Int16;
	:medal_nstack 1 Int16;
	:medal_echo_order 1 Int16;
	:medal_kernel_up 1 Int16;
	:medal_kernel_down 1 Int16;
	:medal_kernel_smooth 1 Int16;
	:medal_start 1 Int16;
	:medal_end 1 Int16;
	:rcideal 1 UInt32;
	:rcdixproc 1 UInt32;
	:df 1 Float32;
	:bw 1 Float32;
	:feextra 1 Int32;
	:raw_pass_size 1 UInt64;
	:sspsave 1 UInt64;
	:udasave 1 UInt64;
	:vibrant 1 Int16;
	:asset_torso 1 Int16;
	:asset_alt_cal 1 Int32;
	:kacq_uid 1 Int32;
	:psc_ta 1 Int32;
	:disk_acq_ctrl 1 Int32;
	], [
	:asset_localTx 1 Int32;
	:a3dscale 1 Float32;
	:broad_band_select 1 Int32;
	:scanner_mode 1 Int16;
	:numbvals 1 Int16;
	:numdifdirs 1 Int16;
	:difnext2 1 Int16;
	:difnextab 100 Int16;
	:channel_combine_method 1 Int16;
	:nexForUnacquiredEncodes 1 Int16;
	:a2dscale 1 Float32;
	:dd_mode 1 Int16;
	:dd_q_ta_offset 1 Int16;
	:dd_q_phase_delay 1 Float32;
	:dacq_ctrl_chksum 1 UInt32;
	:patient_checksum 1 UInt32;
	:rcidealctrl 1 UInt32;
	:echotimes 64 Float32;
	:asl_perf_weighted_scale 1 Int16;
	:echo_pc_extra_frames_bot 1 UInt16;
	:echo_pc_ctrl 1 UInt32;
	:echo_pc_ylines 1 UInt16;
	:echo_pc_primary_yfirst 1 UInt16;
	:echo_pc_reverse_yfirst 1 UInt16;
	:echo_pc_zlines 1 UInt16;
	:echo_pc_yxfitorder 1 UInt16;
	:channel_combine_filter_type 1 Int16;
	:mavric_control 1 UInt32;
	:mavric_ImageType 1 UInt32;
	:mavric_bin_separation 1 Int32;
	:mavric_b0_offset 40 Float32;
	:channel_combine_filter_width 1 Float32;
	:channel_combine_filter_beta 1 Float32;
	:low_pass_nex_filter_width 1 Float32;
	:aps_tg_status 1 UInt32;
	:cal_pass_set_vector 1 Int32;
	:cal_nex_vector 1 Int32;
	:cal_weight_vector 1 Int32;
	:pure_filtering_mode 1 Int32;
	:pure_lambda 1 Float32;
	:pure_tuning_factor_surface 1 Float32;
	:pure_tuning_factor_body 1 Float32;
	:pure_derived_cal_fraction 1 Float32;
	:pure_derived_cal_reapodization 1 Float32;
	:noncart_grid_factor 1 Float32;
	:noncart_dual_traj 1 Int32;
	:noncart_traj_kmax_ratio 1 Int32;
	:noncart_traj_merge_start 1 Int32;
	:noncart_traj_merge_end 1 Int32;
	:oversamplingfactor 1 Float32;
	:nspokes_highres 1 Int32;
	:nspokes_lowres 1 Int32;
	:nrefslices 1 Int32;
	:psmde_pixel_offset 1 Int32;
	:hoecc 1 Int32;
	:hoec_fit_order 1 Int32;
	:esp 1 Int32;
	:viewSharing3D 1 UInt32;
	:gradwarp_interp_type 1 Int32;
	:pure_blur_enable 1 Int32;
	:pure_blur 1 Float32;
	:slice_info_tab_checksum 1 UInt32;
	:mb_factor 1 UInt32;
	:mb_slice_fov_shift_factor 1 UInt32;
	:mb_slice_order_sign 1 Int32;
	:cal_options 1 UInt32;
	:cs_factor 1 Float32;
	:cs_flag 1 Int32;
	:cs_maxiter 1 Int32;
	:cs_consistency 1 Float32;
	:cs_ph_stride 1 Int32;
	:cs_sl_stride 1 Int32;
	:noncart_traj_mode 1 Int32;
	:pure_alpha 1 Float32;
	:pure_otsu_class 1 Int32;
	:pure_exp_wt 1 Float32;
	:pure_erode_dist 1 Int32;
	:pure_dilate_dist 1 Int32;
	:pure_aniso_blur 1 Int32;
	:pure_aniso_erode_dist 1 Int32;
	:pure_aniso_dilate_dist 1 Int32;
	:calmode 1 Int32;
	:cine_ctrl 1 UInt16;
	:cine_ncycles 1 UInt16;
	:cine_recon_phases 1 UInt16;
	:cine_acq_phases 1 UInt16;
	:cine_virtual_coils 1 UInt16;
	:cine_nrejects 1 UInt16;
	:cine_low_rr 1 UInt16;
	:cine_high_rr 1 UInt16;
	:cine_avg_rr 1 UInt16;
	:cine_bpm 1 UInt16;
	:kat_arc_cal_size_ky 1 UInt16;
	:kat_arc_cal_size_kz 1 UInt16;
	:kat_arc_accel_outer 1 UInt16;
	:kat_arc_accel_center 1 UInt16;
	:cardt1map_ctrl 1 UInt16;
	:cardt1map_ti 1 UInt16;
	:propellerCtrl 1 Int32;
	:daviewsPerBlade 1 Int32;
	:rotationThreshold 1 Float32;
	:shiftThreshold 1 Float32;
	:correlationThreshold 1 Float32;
	:npwfactor 1 Float32;
	:viewshd_num 1 Int32;
	:bvalstab 100 Float32;
	:synbvalstab 10 Float32;
	:numsynbvals 1 UInt16;
	:position_detection 1 UInt16;
	:medal_param 1 Float32;
	:clariview_filter_x_nr_val 1 UInt16;
	:clariview_filter_x_sh_val 1 UInt16;
	:clariview_filter_x_is_factory 1 UInt16;
	:clariview_filter_x_option 1 UInt16;
	:grad_intensity_thres 1 Float32;
	:anne_mask_dilation_length 1 Int32;
	:anne_intensity_thres 1 Float32;
	:anne_channel_percentage 1 Float32;
	:ec3_iterations 1 Int32;
	:combined_coil_map_thres 1 Float32;
	:coil_map_smooth_factor 1 Float32;
	:coil_map_2_filter_width 1 Float32;
	:ec3_iteration_method 1 Int32;
	:img_ctrl 1 Int32;
	:moco_ctrl 1 Int32;
	:distcorr_ctrl 1 Int32;
	:distcorr_B0_filter_size 1 Int32;
	:distcorr_B0_filter_std_dev 1 Float32;
	:tensor_file_number 1 Int32;
	:muse 1 UInt16;
	:muse_nav 1 UInt16;
	:muse_nav_accel 1 UInt16;
	:muse_nav_hnover 1 UInt16;
	:muse_nav_yres 1 UInt16;
	:optimal_snr_noise_type 1 UInt16;
	:virtual_chan_policy 1 UInt16;
	:virtual_chan_sens_type 1 UInt16;
	:virtual_chan_apply_type 1 UInt16;
	:virtual_chan_uniformity_type 1 UInt16;
	:num_virtual_channels 1 UInt16;
	:excess 507 Int16;
	])
end
